<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonTxPowRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonTxPowRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the measured TX power values during an explicit monitoring chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same structure is application for Tx0/Tx1/Tx2 power report. Event: RL_RF_AE_MON_TXn_POWER_REPORT.  
 <a href="structrl_mon_tx_pow_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a73705a5c49ad54d57e6d5f81e325df75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73705a5c49ad54d57e6d5f81e325df75"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_pow_rep__t.html#a73705a5c49ad54d57e6d5f81e325df75">statusFlags</a></td></tr>
<tr class="memdesc:a73705a5c49ad54d57e6d5f81e325df75"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding <br />
 to various threshold checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_ABS_ERR <br />
 [1] STATUS_FLATNESS_ERR <br />
 [15:2]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a73705a5c49ad54d57e6d5f81e325df75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab81548af930ff3eb1b2857fbee9cbdc5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab81548af930ff3eb1b2857fbee9cbdc5"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_pow_rep__t.html#ab81548af930ff3eb1b2857fbee9cbdc5">errorCode</a></td></tr>
<tr class="memdesc:ab81548af930ff3eb1b2857fbee9cbdc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:ab81548af930ff3eb1b2857fbee9cbdc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52123329747a22ac16b4d69d074c3fe8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52123329747a22ac16b4d69d074c3fe8"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_pow_rep__t.html#a52123329747a22ac16b4d69d074c3fe8">profIndex</a></td></tr>
<tr class="memdesc:a52123329747a22ac16b4d69d074c3fe8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:a52123329747a22ac16b4d69d074c3fe8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e4e621920ec21dad5c745eb5bc5cb4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e4e621920ec21dad5c745eb5bc5cb4f"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_pow_rep__t.html#a7e4e621920ec21dad5c745eb5bc5cb4f">reserved0</a></td></tr>
<tr class="memdesc:a7e4e621920ec21dad5c745eb5bc5cb4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a7e4e621920ec21dad5c745eb5bc5cb4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e5858132b68ea3b7916bd69b71e085"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5e5858132b68ea3b7916bd69b71e085"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_pow_rep__t.html#ac5e5858132b68ea3b7916bd69b71e085">reserved1</a></td></tr>
<tr class="memdesc:ac5e5858132b68ea3b7916bd69b71e085"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:ac5e5858132b68ea3b7916bd69b71e085"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63ae120bdcd5e49a1995b65a817a330d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63ae120bdcd5e49a1995b65a817a330d"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_pow_rep__t.html#a63ae120bdcd5e49a1995b65a817a330d">txPowVal</a> [3U]</td></tr>
<tr class="memdesc:a63ae120bdcd5e49a1995b65a817a330d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured TX power for each enabled channel, at each enabled RF frequency is <br />
 reported here. Byte numbers corresponding to different TX and RF, in this <br />
 field are here: <br />
 RF1 RF2 RF3 <br />
 TX 1:0 3:2 5:4 <br />
 (other bytes are reserved) <br />
 1 LSB = 0.1 dBm, signed number <br />
 Only the entries of enabled RF Frequencies and enabled RX <br />
 channels are valid. <br />
. <br /></td></tr>
<tr class="separator:a63ae120bdcd5e49a1995b65a817a330d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4767bca401f1d538ed3dc0cba8ac564d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4767bca401f1d538ed3dc0cba8ac564d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_pow_rep__t.html#a4767bca401f1d538ed3dc0cba8ac564d">reserved2</a></td></tr>
<tr class="memdesc:a4767bca401f1d538ed3dc0cba8ac564d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a4767bca401f1d538ed3dc0cba8ac564d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a749da73b87f48adbde57db8410a9bbb0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a749da73b87f48adbde57db8410a9bbb0"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_tx_pow_rep__t.html#a749da73b87f48adbde57db8410a9bbb0">timeStamp</a></td></tr>
<tr class="memdesc:a749da73b87f48adbde57db8410a9bbb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon <br />
 exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:a749da73b87f48adbde57db8410a9bbb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the measured TX power values during an explicit monitoring chirp. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Same structure is application for Tx0/Tx1/Tx2 power report. Event: RL_RF_AE_MON_TXn_POWER_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
